Next: Input Dialog Up: Fileviewer Previous: Fileviewer Contents

## Usage

There are only two flags for the fileviewer. The first is ``-f'', which is used to both make opie-sh use the filbrowser, and to specify a file to show. If there is no file specified, opie-sh takes the file from the standard input. This allows you to do `command | opie-sh -f` to see the output of `command` in the file viewer. Opie-sh reads in the file until it sees an end of file character, and then displays the text, so its probably best not to display the output from a cat of /dev/ttySA0. You can send an eof by typing Ctr-d on the keyboard. The other option that the file viewer takes is the ``-t'' flag, which sets the title, just like for the other dialogs. If you do not specify the title, it defaults to the name of the file (which is null for stdin). Both of these examples have the same output:

    opie-sh -f filename -t "Title"

    cat filename | opie-sh -f -t "Title"